CMSIS-DSP: arm_gaussian_naive_bayes_instance_f32 Struct Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_gaussian_naive_bayes_instance_f32 Struct Reference

Instance structure for Naive Gaussian Bayesian estimator. More...

## Data Fields

uint32_t | vectorDimension
uint32_t | numberOfClasses
const float32_t * | theta
const float32_t * | sigma
const float32_t * | classPriors
float32_t | epsilon

## Description

Examples:
  arm_bayes_example_f32.c.

## Field Documentation

const float32_t* classPriors

Class prior probabilities

Examples:
  arm_bayes_example_f32.c.

float32_t epsilon

Additive value to variances

Examples:
  arm_bayes_example_f32.c.

uint32_t numberOfClasses

Number of different classes

Examples:
  arm_bayes_example_f32.c.

const float32_t* sigma

Variances for the Gaussians

Examples:
  arm_bayes_example_f32.c.

const float32_t* theta

Mean values for the Gaussians

Examples:
  arm_bayes_example_f32.c.

uint32_t vectorDimension

Dimension of vector space

Examples:
  arm_bayes_example_f32.c.